精华内容
下载资源
问答
  • 我们在ubuntu下要把一个程序加入开机启动,一般可以通过修改rc.local来完成,但ubuntu下有两个rc.local文件。分别是/etc/rc.local和/etc/init.d/rc.local。可以看一下两个文件的内容找到他俩的关系: /etc/init.d/...
  • /etc/rc.d/rc.local 用于添加开机启动命令 /etc/rc.local是/etc/rc.d/rc.local的软连接 转载于:https://www.cnblogs.com/Samuel-Leung/p/10477162.html

    /etc/rc.d/rc.local 用于添加开机启动命令

    /etc/rc.local是/etc/rc.d/rc.local的软连接

    转载于:https://www.cnblogs.com/Samuel-Leung/p/10477162.html

    展开全文
  • -------Centos 7.0设置/etc/rc.local无效问题解决安装centos7以后按照以往习惯修改rc.local添加开机启动命令,但重启后发现无效,再次重启发现依然如故检查系统rc.local服务运行情况systemctl | grep "rc.local...

    -------

    Centos 7.0设置/etc/rc.local无效问题解决

    安装centos7以后按照以往习惯修改rc.local添加开机启动命令,但重启后发现无效,再次重启发现依然如故

    检查系统rc.local服务运行情况

    systemctl | grep "rc.local"
    # rc-local.service                                                                          loaded active running   /etc/rc.d/rc.local Compatibility

    发现运行正常

    随后查看rc.local文件

    vim /etc/rc.local

    发现这么一句话

    Please note that you must run 'chmod +x /etc/rc.d/rc.local' to ensure

    由于/etc/rc.local是/etc/rc.d/rc.local的软连接,所以必须确保/etc/rc.local和/etc/rc.d/rc.local都有x权限(可执行)

    执行命令

    chmod +x /etc/rc.d/rc.local

    重启,一切正常,问题解决。

    展开全文
  • 在ubuntu下要把一个程序加入开机启动,一般可以通过修改rc.local来完成,但ubuntu下有两个rc.local文件。分别是/etc/rc.local和/etc/init.d/rc.local。可以看一下两个文件的内容找到他俩的关系: /etc/init.d/rc....

    在ubuntu下要把一个程序加入开机启动,一般可以通过修改rc.local来完成,但ubuntu下有两个rc.local文件。分别是/etc/rc.local和/etc/init.d/rc.local。可以看一下两个文件的内容找到他俩的关系: 

    /etc/init.d/rc.local

     

     #! /bin/sh
    ### BEGIN INIT INFO
    # Provides:          rc.local
    # Required-Start:    $all
    # Required-Stop:
    # Default-Start:     2 3 4 5
    # Default-Stop:
    # Short-Description: Run /etc/rc.local if it exist
    ### END INIT INFO
    
    
    PATH=/sbin:/usr/sbin:/bin:/usr/bin
    
    . /lib/init/vars.sh
    . /lib/lsb/init-functions
    
    do_start() {
        if [ -x /etc/rc.local ]; then
                [ "$VERBOSE" != no ] && log_begin_msg "Running local boot scripts (/etc/rc.local)"
            /etc/rc.local
            ES=$?
            [ "$VERBOSE" != no ] && log_end_msg $ES
            return $ES
        fi
    }
    
    case "$1" in
        start)
        do_start
            ;;
        restart|reload|force-reload)
            echo "Error: argument '$1' not supported" >&2
            exit 3
            ;;
        stop)
            ;;
        *)
            echo "Usage: $0 start|stop" >&2
            exit 3
            ;;
    esac

    从注释可以看出该脚本运行在2 3 4 5的启动级别,只能处理start的参数,然后执行start,如果有/etc/rc.local文件的话则执行/etc/rc.local。如果要把开机启动的程序放/etc/init.d/rc.local文件里,记住千万别一股脑写文件最后面就行了,因为在case语句块里脚本就会退出
     

     

    /etc/rc.local

    #!/bin/sh -e
    #
    # rc.local
    #
    # This script is executed at the end of each multiuser runlevel.
    # Make sure that the script will "exit 0" on success or any other
    # value on error.
    #
    # In order to enable or disable this script just change the execution
    # bits.
    #
    # By default this script does nothing.
    
    exit 0

    这个脚本里面基本没有内容,就是写个模板让你放开机自启动程序的。把你的程序写在exit 0行的前面就行了。

    所以要添加开机启动项,只需在/etc/rc.local文件中添加就行了。

     

     

    buntu的启动级别: 
      0   关机 
      1   单用户 
      2-5  多用户图形界面 
      6   重启 
       
      对应每个启动级别,/etc/目录下都对应一个像/etc/rc5.d/这样的目录,下面是一些脚本,这些脚本基本都是对应/etc/init.d/目录下的软链接,命名里面的数字代表优先级,启动时这些脚本都会执行一遍。 

     

    展开全文
  • /etc/rc.local 和/etc/init.d/rc.local的区别

    千次阅读 2018-09-02 15:37:46
    从下面的命令注释内容可以看出,/etc/init.d/rc.local里面会判断是否存在/etc/rc.local,如果存在,就执行这个文件     /etc/rc.local的内容如下: cat /etc/rc.local      #!/bin/sh -e # # rc.local...

    从下面的命令注释内容可以看出,/etc/init.d/rc.local里面会判断是否存在/etc/rc.local,如果存在,就执行这个文件

     

     

    /etc/rc.local的内容如下: cat /etc/rc.local 

     

     

    #!/bin/sh -e
    #
    # rc.local
    #
    # This script is executed at the end of each multiuser runlevel.
    # Make sure that the script will "exit 0" on success or any other
    # value on error.
    #
    # In order to enable or disable this script just change the execution
    # bits.
    #
    # By default this script does nothing.
    
    exit 0

     

     

     

    /etc/init.d/rc.local的内容如下: cat /etc/init.d/rc.local 

     

     

    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides:          rc.local
    # Required-Start:    $all
    # Required-Stop:
    # Default-Start:     2 3 4 5
    # Default-Stop:
    # Short-Description: Run /etc/rc.local if it exist
    ### END INIT INFO
    
    
    PATH=/sbin:/usr/sbin:/bin:/usr/bin
    
    . /lib/init/vars.sh
    . /lib/lsb/init-functions
    
    do_start() {
    	if [ -x /etc/rc.local ]; then
    	        [ "$VERBOSE" != no ] && log_begin_msg "Running local boot scripts (/etc/rc.local)"
    		/etc/rc.local
    		ES=$?
    		[ "$VERBOSE" != no ] && log_end_msg $ES
    		return $ES
    	fi
    }
    
    case "$1" in
        start)
    	do_start
            ;;
        restart|reload|force-reload)
            echo "Error: argument '$1' not supported" >&2
            exit 3
            ;;
        stop)
            ;;
        *)
            echo "Usage: $0 start|stop" >&2
            exit 3
            ;;
    esac

     

     

    <audio controls="controls" style="display: none;"></audio>

    展开全文
  • Fedora 16默认取消了rc.local文件.beta版取消了/etc/rc.local,保留了/etc/rc.d/rc.local.(其实前者是后者的链接而已)正式版两个都取消了,用下面的方法重建即可.1.进入root模式2.创建rc.local文件: vi /etc/rc.d/rc....
  • rc.local

    2015-03-13 09:59:00
    /etc/rc.d/rc.local似乎是很多linux系统管理员的偏爱,因为凡是需要随系统自动启动的服务、程序等,只要系统没有提供Sys V风格的启动脚本,就把这些需求都塞到/etc/rc.d/rc.local。 当然,绝大部分情况下,你会发现...
  • 使用Ubuntu16.04时,发现有时候启动脚本/etc/rc.local中的命令不生效,随即发现在这种情况下系统启动时会打印 Failed to start /etc/rc.local Compatibility 错误。Google了下,找到适合我的解决办法是将文件中第一...
  • rc.local简介

    万次阅读 2019-06-14 11:23:25
    rc.local 是启动加载文件 1、在ubuntu下要把一个程序加入开机启动,一般可以通过修改rc.local来完成,但ubuntu下有两个rc.local文件。分别是/etc/rc.local和/etc/init.d/rc.local。可以看一下两个文件的内容找到...
  • /etc/rc.d/rc.local

    2019-02-02 09:22:00
    /etc/rc.d/rc.local 用于用户自定义开机启动程序,可以往里写开机要执行的命令或脚本,线上的配置如下: [root@localhost ~]$ cat /etc/rc.d/rc.local /data/init/restart_game.sh touch /var/lock/subsys/...
  • 通过进入单用户模式,跳过rc.local
  • Linux 中 rc.local、init.d、rc.x、init 这几个文件(夹)各有什么作用?启动执行的脚本应该均放在 rc.local 中吗? https://www.zhihu.com/question/20126189 网址: 这个问题涉及到Linux初始化init系统,RHEL...
  • CentOS6.x上习惯用/etc/rc.local 文件来开机自启动我们一些服务或者操作了,但是CentOS7.x改了,chkconfig也不能用了。 CentOS7.x 已经写了要chmod +x /etc/rc.d/rc.local 授权一下才会起作用。 # cat /etc/rc...
  • rc.d init.d rc.local 目录/文件可以弄啊弄 cron crontab /etc/ /var/spool/cron .... crontab -l crontab有他自己的规则格式具体百度好了,各种慢慢翻。。。
  • 以下是几个例子 在home下建了a.sh  [root@DB2 ~]# cat /home/a.sh ...[root@DB2 ~]# cat /etc/rc.d/rc.local /home/a.sh ########################无结果 [root@DB2 ~]# cat /home/a.sh touch a.txt

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 14,779
精华内容 5,911
关键字:

rc.local